### Blue dither algorithm

use parent 'OnePassBitmapAlgorithm';

sub new {
    my $class = shift;

    $self = SUPER::OnePassBitmapAlgorithm->new;
    
    bless $self, $class;

    $self->init; ### sets bitmap undef
}

sub addBitmap { ### sets bitmap
  my ($self, $bitmap) = @_;

  not defined($bitmap) or die "OnePassFilterAlgorithmBlue : bitmap of the blue dither algorithm is empty !";
  
  $self->{bitmap} = $bitmap;
}

sub pass {
  my $self = shift;

  return SUPER::OnePassBitmapAlgorithm->pass->(OnePassSystemBlue->new); 
}

1;

